aboutsummaryrefslogtreecommitdiff
path: root/benchmark
diff options
context:
space:
mode:
authorisaacs <i@izs.me>2012-03-06 18:19:11 -0800
committerisaacs <i@izs.me>2012-03-06 18:19:17 -0800
commitfb53986a801bc36067a5b5b64cb23b05e3aa6d60 (patch)
tree825f76649564c77664368a979cd6414568e88bc9 /benchmark
parent17da4242b0dd8bd45f34d7f1610d83d1036b9e6d (diff)
downloadandroid-node-v8-fb53986a801bc36067a5b5b64cb23b05e3aa6d60.tar.gz
android-node-v8-fb53986a801bc36067a5b5b64cb23b05e3aa6d60.tar.bz2
android-node-v8-fb53986a801bc36067a5b5b64cb23b05e3aa6d60.zip
Bash script for running http-simple benchmarks
Diffstat (limited to 'benchmark')
-rwxr-xr-xbenchmark/http.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/benchmark/http.sh b/benchmark/http.sh
new file mode 100755
index 0000000000..22b4b7c8c6
--- /dev/null
+++ b/benchmark/http.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+cd "$(dirname "$(dirname $0)")"
+sudo sysctl -w net.inet.ip.portrange.first=12000
+sudo sysctl -w net.inet.tcp.msl=1000
+sudo sysctl -w kern.maxfiles=1000000 kern.maxfilesperproc=1000000
+ulimit -n 100000
+./node benchmark/http_simple.js || exit 1 &
+sleep 1
+ab -n 30000 -c 100 http://127.0.0.1:8000/bytes/123 | grep Req
+killall node